Bug 576688 - libguestfs doesn't work on el5.4 host talking to a f12 guest running an ext4 fs
Summary: libguestfs doesn't work on el5.4 host talking to a f12 guest running an ext4 fs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libguestfs
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-24 20:31 UTC by seth vidal
Modified: 2013-07-29 01:59 UTC (History)
4 users (show)

Fixed In Version: libguestfs-1.2.2-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-08 19:13:13 UTC


Attachments (Terms of Use)

Description seth vidal 2010-03-24 20:31:45 UTC
get_e2uuid: /sbin/tune2fs: Filesystem has unsupported feature(s) while trying to open /dev/vda1

Couldn't find valid filesystem superblock. at /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Sys/Guestfs/Lib.pm line 735.

Comment 1 Richard W.M. Jones 2010-03-24 20:34:14 UTC
The problem is that on RHEL 5, the ext4 utilities were in a
separate package and all had separate names (eg. mke4fs
instead of mke2fs).  These programs can in fact create
and handle ext2/3 as well, so on RHEL 5 we should just use
them unconditionally.

We already got this right for mke4fs:

http://git.annexia.org/?p=libguestfs.git;a=blob;f=daemon/ext2.c;h=85ddce52525b1fca02dd8ac524f81a0f64ead93f;hb=HEAD#l339

but not for tune4fs etc., so that is what we need to change.

Comment 2 Richard W.M. Jones 2010-03-24 22:04:30 UTC
Patch posted upstream:
https://www.redhat.com/archives/libguestfs/2010-March/msg00124.html

Comment 3 Fedora Update System 2010-03-25 08:40:37 UTC
libguestfs-1.0.85-1.el5.9 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.85-1.el5.9

Comment 4 Richard W.M. Jones 2010-03-25 08:43:06 UTC
Please try this backport which fixes the issue for me.

There is another semi-related ext4 bug that we found
in the guestfs_e2fsck_l command[1].  However unless
you are resizing ext4 partitions, it shouldn't affect you.
If you _are_ resizing ext4 partitions, let me know and I
will backport this fix also.

[1] http://git.annexia.org/?p=libguestfs.git;a=commitdiff;h=00a9ae7365e6bad258bcf079a18dcae94d0853ad

Comment 5 Fedora Update System 2010-03-27 02:31:14 UTC
libguestfs-1.0.85-1.el5.9 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libguestfs-1.0.85-1.el5.9

Comment 6 Fedora Update System 2010-04-07 22:15:37 UTC
libguestfs-1.0.85-1.el5.9 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libguestfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libguestfs-1.0.85-1.el5.9

Comment 7 Fedora Update System 2010-04-08 19:13:08 UTC
libguestfs-1.0.85-1.el5.9 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-04-09 14:10:30 UTC
libguestfs-1.2.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.1-1.fc13

Comment 9 Fedora Update System 2010-04-13 07:44:04 UTC
libguestfs-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.2-1.fc13

Comment 10 Fedora Update System 2010-04-30 23:47:13 UTC
libguestfs-1.2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.